# ChangeLog for sys-devel/autoconf
# Copyright 1999-2006 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/sys-devel/autoconf/ChangeLog,v 1.74 2006/03/30 13:48:40 flameeyes Exp $

  30 Mar 2006; Diego Pettenò <flameeyes@gentoo.org> autoconf-2.13.ebuild,
  autoconf-2.59-r7.ebuild:
  Add ~x86-fbsd keywords.

  10 Mar 2006; Fernando J. Pereda <ferdy@gentoo.org>
  autoconf-2.59-r7.ebuild:
  Stable on alpha wrt bug #125423

  10 Mar 2006; Torsten Veller <tove@gentoo.org> autoconf-2.59-r7.ebuild:
  Stable on x86 (#125423)

  10 Mar 2006; <nixnut@gentoo.org> autoconf-2.59-r7.ebuild:
  Stable on ppc. Bug #125423

  09 Mar 2006; Gustavo Zacarias <gustavoz@gentoo.org>
  autoconf-2.59-r7.ebuild:
  Stable on sparc wrt #125423

  09 Mar 2006; Luis Medinas <metalgod@gentoo.org> autoconf-2.59-r7.ebuild:
  Stable on amd64. Bug #125423.

  08 Mar 2006; Markus Rothe <corsair@gentoo.org> autoconf-2.59-r7.ebuild:
  Stable on ppc64; bug #125423

*autoconf-2.59-r7 (23 Jun 2005)

  23 Jun 2005; Mike Frysinger <vapier@gentoo.org>
  +files/autoconf-2.59-more-quotes.patch, +autoconf-2.59-r7.ebuild:
  Fix under quoting of the $ac_unique_file variable by Justace Clutter #96882.

  15 Feb 2005; Kito <kito@gentoo.org> autoconf-2.13.ebuild,
  autoconf-2.59-r6.ebuild:
  ~ppc-macos keyword

  06 Feb 2005; Joshua Kinard <kumba@gentoo.org> autoconf-2.13.ebuild,
  autoconf-2.59-r6.ebuild:
  Marked stable on mips.

  31 Jan 2005; Gustavo Zacarias <gustavoz@gentoo.org> autoconf-2.13.ebuild,
  autoconf-2.59-r6.ebuild:
  Stable on sparc

  30 Jan 2005; Bryan Østergaard <kloeri@gentoo.org> autoconf-2.13.ebuild,
  autoconf-2.59-r6.ebuild:
  Stable on alpha.

  30 Jan 2005; Michael Hanselmann <hansmi@gentoo.org>
  autoconf-2.59-r6.ebuild, autoconf-2.13.ebuild:
  Stable on ppc.

  29 Jan 2005; Markus Rothe <corsair@gentoo.org> autoconf-2.13.ebuild,
  autoconf-2.59-r6.ebuild:
  Stable on ppc64

  02 Jan 2005; Ciaran McCreesh <ciaranm@gentoo.org> :
  Change encoding to UTF-8 for GLEP 31 compliance

*autoconf-2.13 (20 Oct 2004)

  20 Oct 2004; Mike Frysinger <vapier@gentoo.org>
  +files/autoconf-2.13-destdir.patch, +files/autoconf-2.13-gentoo.patch,
  +autoconf-2.13.ebuild, +autoconf-2.59-r6.ebuild:
  SLOT-ed versions of autoconf.

*autoconf-2.59-r5 (09 Oct 2004)

  09 Oct 2004; Mike Frysinger <vapier@gentoo.org> files/ac-wrapper.pl,
  -autoconf-2.59-r4.ebuild, +autoconf-2.59-r5.ebuild:
  Version bump to push out fixed ac-wrapper.pl that cvs missed from before
  #66854.

  03 Sep 2004; Pieter Van den Abeele <pvdabeel@gentoo.org>
  autoconf-2.59-r3.ebuild:
  Masked autoconf-2.59-r3.ebuild stable for ppc

  29 Jul 2004; Guy Martin <gmsoft@gentoo.org> autoconf-2.59-r4.ebuild:
  Stable on hppa.

  28 Jul 2004; Caleb Tennis <caleb@gentoo.org> autoconf-2.59-r4.ebuild:
  marking x86 stable

  03 Jul 2004; Joshua Kinard <kumba@gentoo.org> autoconf-2.59-r4.ebuild:
  Marked stable on mips.

  27 Jun 2004; Gustavo Zacarias <gustavoz@gentoo.org> autoconf-2.59-r4.ebuild:
  Stable on sparc

  16 Jun 2004; Martin Schlemmer <azarah@gentoo.org> files/ac-wrapper-4.pl:
  Update comments to show that we check for 2.13 and not 2.1.

  11 Jun 2004; Bryan Østergaard <kloeri@gentoo.org> autoconf-2.59-r4.ebuild:
  Stable on alpha.

  06 Jun 2004; Guy Martin <gmsoft@gentoo.org> autoconf-2.59-r3.ebuild:
  Marked stable on hppa.

*autoconf-2.59-r4 (27 May 2004)

  27 May 2004; Caleb Tennis <caleb@gentoo.org> autoconf-2.59-r4.ebuild:
  New version which incorporates a new ac-wrapper-4.pl
  Use a subroutine which will pull out the greatest AC_PREREQ() value in
  a configure.in file in case there is more than one (see Bug #41389).
  Also, change the gt statements to be 2.13 instead of 2.1 or AC_PREREQs fail
  on seeing 2.12 for example (actually, don't fail, but use autoconf-2.5x which
  is not correct).

  27 May 2004; Caleb Tennis <caleb@gentoo.org> autoconf-2.59-r3.ebuild:
  Mark x86 stable

*autoconf-2.59-r3 (16 Feb 2004)

  16 Feb 2004; Martin Schlemmer <azarah@gentoo.org> autoconf-2.59-r3.ebuild,
  files/ac-wrapper-2.pl, files/ac-wrapper-3.pl:
  Add back fix for testing AC_PREREQ(2.50) to ac-wrapper-2.pl. Add
  ac-wrapper-3.pl with fixed fix for bug #40983.

*autoconf-2.59-r2 (16 Feb 2004)
*autoconf-2.58-r1 (16 Feb 2004)

  16 Feb 2004; Brad House <brad_mssw@gentoo.org> autoconf-2.58-r1.ebuild,
  autoconf-2.59-r2.ebuild:
  bump versions of autoconf to spur propagation of revertion of ac-wrapper-2.pl
  goof, as it affects both stable and unstable branches

*autoconf-2.59-r1 (15 Feb 2004)

  15 Feb 2004; Brad House <brad_mssw@gentoo.org> files/ac-wrapper-2.pl:
  Revert ac-wrapper-2.pl patch, as it causes any package that runs autoheader to
  fail

  15 Feb 2004; Martin Schlemmer <azarah@gentoo.org> autoconf-2.59-r1.ebuild:
  New revision to propagate recent wrapper fixes.

  15 Feb 2004; Martin Schlemmer <azarah@gentoo.org> files/ac-wrapper-2.pl:
  Set AUTOM4TE to autoconf version being run, bug #40983.

  14 Feb 2004; Martin Schlemmer <azarah@gentoo.org> files/ac-wrapper-2.pl:
  Fix ac-wrapper.pl to also work with AC_PREREQ(2.50) (note the 2.50 and not
  2.5).

  30 Jan 2004; <tuxus@gentoo.org> autoconf-2.58.ebuild:
  stable on mips.

  25 Jan 2004; Mike Frysinger <vapier@gentoo.org> :
  Replace perl replacements with sed ones #39319.

  12 Jan 2004; <gustavoz@gentoo.org> autoconf-2.58.ebuild:
  stable on hppa, unbreaks kde

*autoconf-2.59 (10 Jan 2004)

  10 Jan 2004; Aron Griffis <agriffis@gentoo.org> autoconf-2.58.ebuild,
  autoconf-2.59.ebuild:
  Version bump for bug 33216. Mark 2.58 stable on x86, ppc and sparc since these
  arches have kdelibs-3.1.4 marked stable, which requires >=autoconf-2.58.

  10 Jan 2004; Aron Griffis <agriffis@gentoo.org> autoconf-2.58.ebuild:
  stable on alpha and ia64

  06 Jan 2004; Brad House <brad_mssw@gentoo.org> autoconf-2.58.ebuild:
  mark stable on amd64. kdelibs won't build without autoconf > 2.57 :/

  08 Dec 2003; Seemant Kulleen <seemant@gentoo.org> autoconf-2.13-r2.ebuild,
  autoconf-2.53a.ebuild, autoconf-2.54-r1.ebuild:
  removed ancient versions

*autoconf-2.58 (08 Nov 2003)

  08 Nov 2003; Martin Schlemmer <azarah@gentoo.org> autoconf-2.58.ebuild,
  files/ac-wrapper-2.pl, files/autoconf-2.58-infopage-namechange.patch:
  Update version closing bug #32830. Change to automake's style of selecting
  version, closing bug #31016.

  30 Oct 2003; Daniel Robbins <drobbins@gentoo.org>: all ebuilds: modified
  pkg_preinst() to use $ROOT and prevent non-ROOT="/" autoconf merges from
  frying the "/" tree (was causing catalyst to die.) Should be a very low-
  risk change since the overwhelming majority of Gentoo users always have
  ROOT set to "/" anyway.

*autoconf-2.57a-r1 (08 Oct 2003)

  08 Oct 2003; Martin Schlemmer <azarah@gentoo.org> autoconf-2.57a-r1.ebuild,
  files/autoconf-2.57a-AC_HELP_STRING.patch:
  Fix a bug in AC_HELP_STRING definition, bug #29961, thanks to TGL
  <degrenier@easyconnect.fr> for tracking the problem.

  07 Oct 2003; Martin Schlemmer <azarah@gentoo.org> autoconf-2.57a.ebuild:
  This breaks a few things, including ntp, etc.

*autoconf-2.57a (28 Sep 2003)

  28 Sep 2003; Martin Schlemmer <azarah@gentoo.org> autoconf-2.57a.ebuild,
  files/autoconf-2.57a-infopage-namechange.patch:
  Update version.

  17 Sep 2003; Jon Portnoy <avenj@gentoo.org> autoconf-2.57.ebuild :
  ia64 keywords.

  02 Sep 2003; Martin Holzer <mholzer@gentoo.org> autoconf-2.13-r2.ebuild,
  autoconf-2.53a.ebuild, autoconf-2.54-r1.ebuild, autoconf-2.54.ebuild,
  autoconf-2.57-r1.ebuild, autoconf-2.57.ebuild:
  Now uses mirror://gnu.

  30 Mar 2003; Martin Schlemmer <azarah@gentoo.org> autoconf-2.57-r1.ebuild :
  Mark stable.  It had some extensive testing, and it closes bug #14663.

*autoconf-2.54-r1 (15 Mar 2003)
*autoconf-2.57-r1 (15 Mar 2003)

  15 Mar 2003; Martin Schlemmer <azarah@gentoo.org> :
  Update m4 DEPEND to work with m4-1.4 we are now using.

  09 Mar 2003; Martin Schlemmer <azarah@gentoo.org> files/ac-wrapper.pl :
  Some new stuff have AC_PREREQ in [].

  20 Feb 2003; Martin Schlemmer <azarah@gentoo.org> autoconf-2.57.ebuild :
  Run autom4te-2.5x if called without setting WANT_AUTOMAKE_2_5=1.

  18 Feb 2003; Zach Welch <zwelch@gentoo.org> :
  Added arm to keywords

  15 Feb 2003; Jan Seidel <tuxus@gentoo.org> autoconf-2.54.ebuild :
  Added mips to keywords

  07 Feb 2003; Guy Martin <gmsoft@gentoo.org> :
  Added hppa to keywords.

autoconf-2.57 (21 Jan 2003)

  24 Feb 2003; Nicholas Wourms <dragon@gentoo.org> autoconf-2.57.ebuild :
  Marked testing for mips.

  21 Jan 2003; Martin Schlemmer <azarah@gentoo.org> autoconf-2.57.ebuild :
  New version.

  17 Jan 2003; Martin Schlemmer <azarah@gentoo.org> autoconf-2.54.ebuild :
  Depend on texinfo-4.3, else info pages breaks, bug #13041.

  14 Dec 2002; Martin Schlemmer <azarah@gentoo.org> autoconf-2.54.ebuild :
  Also get autoconf-2.5x info page to show up in DIR index, closing
  bug #12085.

  12 Dec 2002; Jan Seidel <tuxus@gentoo.org> autoconf-2.53a.ebuild :
  Added mips to keywords.

  10 Dec 2002; Martin Schlemmer <azarah@gentoo.org> autoconf-2.54.ebuild :

  Mark stable.

  06 Dec 2002; Rodney Rees <manson@gentoo.org> :
  
  Changed sparc ~sparc keywords
 
autoconf-2.54 (20 Oct 2002)

  25 Oct 2002; Martin Schlemmer <azarah@gentoo.org> autoconf-2.54.ebuild :

  Fix SRC_URI fir version 2.13 tarball.  Close bug #9495.

  20 Oct 2002; Martin Schlemmer <azarah@gentoo.org> :

  Update version.

  23 Sep 2002; Martin Schlemmer <azarah@gentoo.org> ac-wrapper.pl :

  Firstly i should mention that the perl wrapper 'ac-wrapper.pl', is
  based on great work by Guillaume Cottenceau (gc@mandrakesoft.com).
  This updates it to correctly detect if automake-1.6 was used.

autoconf-2.53a (22 May 2002)

  22 May 2002; M.Schlemmer <azarah@gentoo.org> autoconf-2.53a.ebuild :

  Update in hope of fixing the gcc3 build problem (somewhere with
  m4 version detection, bug #2929.  I am not sure, as I could not
  get feedback if working or not.

autoconf-2.53-r1 (19 May 2002)

  19 May 2002; M.Schlemmer <azarah@gentoo.org> autoconf-2.53-r1.ebuild :

  Fix it to use "-$PV" as suffix, and not "-2.5x".

  22 April 2002; M.Schlemmer <azarah@gentoo.org> ac-wrapper.pl :

  Update so that it can work with AC_PREREQ([2.13]) as well as AC_PREREQ(2.13).

autoconf-2.52d-r1 (21 March 2002)

  7 April 2002; M.Schlemmer <azarah@gentoo.org> :

  Change the names of the 2.5x binaries to foo-${PV}, since they do support
  limited parallel versions, and foo-2.5x breaks recursion if they call
  themselfs.  Fixed doc paths.

*autoconf-2.53 (21 March 2002)

  21 March 2002; M.Schlemmer <azarah@gentoo.org> :

  Add dual ebuild which contain 2.13 and 2.53, and autodetect the
  correct version to use.

*autoconf-2.13-r2 (1 Feb 2002)

  1 Feb 2002; G.Bevin <gbevin@gentoo.org> ChangeLog :
  
  Added initial ChangeLog which should be updated whenever the package is
  updated in any way. This changelog is targetted to users. This means that the
  comments should well explained and written in clean English. The details about
  writing correct changelogs are explained in the skel.ChangeLog file which you
  can find in the root directory of the portage repository.
